Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000721Documentation, Examples, and Web SiteExamplespublic2011-08-17 19:122014-05-07 07:38
Reportermattweiner 
Assigned Toemshort 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000721: Ex. 263, "Odyssey," may interfere with any other every turn rules that are added
DescriptionAs example 263 is written, Athena's movement is governed by an every turn rule, the every turn rule repeats through a table, and when a filled row is found in the table the rule stops with "rule succeeds." "Rule succeeds" interrupts the every turn rulebook, so any subsequent every turn rules would fail to fire.

The example as written contains no other every turn rules, but an attempt to adapt this code to a larger game might cause (in fact has caused) confusion about why the other every turn rules aren't firing.

Minimal Source Text To Reproduce
Add the following line to the end of Ex. 263:

Every turn: Say "Boing!"
Additional InformationSee http://www.intfiction.org/forum/viewtopic.php?f=7&t=3037 [^]

The problem could be solved by replacing "rule succeeds" with "break" or "make no decision."
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-08-17 19:12 mattweiner New Issue
2011-08-19 15:19 EmacsUser Status new => confirmed
2011-08-19 15:19 EmacsUser Category The Recipe Book => Examples
2011-10-18 11:39 graham Assigned To => emshort
2011-10-18 11:39 graham Status confirmed => assigned
2014-01-25 09:55 graham Status assigned => resolved
2014-01-25 09:55 graham Resolution open => fixed
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker